<?php 
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'ubudu'); ?></p>
<?php
		return;
	}

	?>



	<div class="togglable response" id="response-<?php the_ID(); ?>"><!-- BEGIN comments-<?php the_ID(); ?> -->
		<span id="<?php _e('comments', 'ubudu'); ?>"></span>
		<section class="clear comments" id="comments-<?php the_ID(); ?>">
			<header>
			<?php
			$comments_number = get_comments_number();
			$comments_link_text = _n('%d comment to %s.', '%d comments to %s.', $comments_number, 'ubudu');
			$comments_link_text = str_replace( '%d', '<span class="comment-count">%d</span>', $comments_link_text );

			$comments_link_single = __('comment ', 'ubudu');
			$comments_link_text = str_replace( $comments_link_single, '<span class="comments-title-postfix">'.$comments_link_single.'</span>', $comments_link_text);

			$comments_link_multiple = __('comments ', 'ubudu');
			$comments_link_text = str_replace( $comments_link_multiple, '<span class="comments-title-postfix">'.$comments_link_multiple.'</span>', $comments_link_text);

			$comments_link_text = sprintf( $comments_link_text, $comments_number, get_the_title() );

			echo $comments_link_text;
			echo '&#160;';
			echo '<span class="feed-link">';
			post_comments_feed_link( '<small><small>•)</small></small>)' );
			echo '</span>';
			?>

			</header>
			<ol>
<?php wp_list_comments(array('style'=> 'li', 'type'=> 'comment','callback' => array($GLOBALS['ubudu'], 'list_comments'))); ?>
				<li class="comment-placeholder"></li>
			</ol>
		</section><!-- End comments-<?php the_ID(); ?> -->

		<?php if('open' == $post->comment_status) : ?>
			<?php
			global $post;
			global $user_identity, $user_ID;

			?>

		<section class="clear respond" id="commenting-form-container">
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
				<fieldset class="collapsed collapsible" id="commenting-fieldset-collapsible">
					<legend id="response-prompt">
						<span id="<?php echo __('respond', 'ubudu'); ?>"></span><?php
						if( 'open' == $post->comment_status ) {
							$respond_url = get_permalink().'#'.__('respond', 'ubudu');
							$respond_link_text = sprintf( __('Respond to %s', 'ubudu'), get_the_title() );
							$respond_title = esc_attr( $respond_link_text );
							echo '<a class="collapser" id="commenting-collapser-'.get_the_ID().'" href="'.$respond_url.'" title="'.$respond_title.'">'.$respond_link_text.'</a>';
						}
						else {
							echo printf( __('Commenting is closed', 'ubudu'), get_the_title() );
						}
						?></legend>

					<?php if( 'open' == $post->comment_status ) : ?>

					<table id="commenting-form-content">
						<thead>
							<tr><td colspan="2"><div class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></div></td></tr>
						</thead>
						<tbody>

							<tr><!-- Gravatar & Identity Headers-->
							<?php if (function_exists('gravbox')) : ?>

								<th class="gravatar"><?php _e('Your&#160;gravatar', 'ubudu'); ?></th>
							<?php endif; ?>
								<th class="identity"><?php _e('Your identity', 'ubudu'); ?></th>
							</tr>

							<tr><!-- Gravatar & Identity containers-->
							<!-- Gravatar -->
							<?php if (function_exists('gravbox')) : ?>
								<?php if ($user_ID) : ?>
								<!-- User is logged in, so use his gravatar. -->
								<td class="gravatar"><?php gravbox(); ?></td>
								<?php elseif( get_option('comment_registration') ) : ?>
								<!-- Login is required, but the user isn't logged in, so use the default 'undefined' gravatar from WP. -->
								<td class="gravatar"><?php echo get_avatar(''); ?></td>
								<?php else : ?>
								<!-- Update the gravatar according to identity. -->
								<?php
								$avatar = get_avatar('');
								$avatar = substr($avatar, strpos($avatar, "src='")+5);
								$avatar = substr($avatar, 0, strpos($avatar, "'"));
								?>
								<td id="gravboxcell" class="gravatar" style="background: url(<?php echo $avatar; ?>) no-repeat center 1em;"><?php gravbox(); ?></td>
								<?php endif; ?>
							<?php endif; ?>

								<!-- Identity -->
							<?php if ($user_ID) : ?><!-- User is logged in. -->
								<td class="you-are logged-in"><?php printf(__('You are currently logged in as <a href="%1$s">%2$s</a>. [<a href="%3$s">Log out</a>]', 'ubudu'), get_option('siteurl').'/wp-admin/profile.php', $user_identity, wp_logout_url( get_permalink().'#'.__('respond', 'ubudu') ) ); ?></td>

							<?php elseif( get_option('comment_registration') ) : ?><!-- User needs to log in to comment. -->
								<td class="you-are not-logged-in"><?php printf(  __('You need <a href="%s">log in</a> to post a comment.', 'ubudu'), get_bloginfo('url').'/wp-login.php?redirect_to='.urlencode( get_permalink() )  ); ?>	</td>

							<?php else : ?><!-- User isn't logged in and doesn't have to. -->
								<td class="you-are">
								    <table id="comment-user-details" style="width:100%;"><tbody>
								      <tr>
									<th><label for="author"<?php if($req) echo ' class="required"'; ?>><?php printf( __('Your Name %s', 'ubudu'), $req ? ' <small>'.__('(required)', 'ubudu').'</small>' : '' ); ?></label></th>
									<th style="width:50%;"><label for="email"<?php if($req) echo ' class="required"';?>><?php printf( __('Your Email Address %s', 'ubudu'), $req ? ' <small>'.__('(required but will not be published)', 'ubudu').'</small>' : '' ); ?></label></th>
								      </tr>
								      <tr>
									<td style="width:50%;"><input style="width:97%;" type="text" name="author" id="author" value="<?php echo $comment_author; ?>" /></td>
									<td style="width:50%;"><input style="width:98%;" type="text" name="email" id="email"   value="<?php echo $comment_author_email; ?>" /></td>
								      </tr>
								      <tr>
									<th colspan="2"><label for="url"><?php _e('Your Website Address', 'ubudu'); ?></label></th>
								      </tr>
								      <tr>
									<td colspan="2"><input style="width:99%;" type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" /></td>
								      </tr>
								    </tbody></table>
								</td>

							<?php endif; ?>
							</tr>

							<tr><!-- Comment Header -->
								<th class="comment-header"<?php if (function_exists('gravbox')) echo ' colspan="2"'; ?>>
									<label for="comment" class="textarea" style="margin:0 !important; padding:0 !important;"><span class="req"><?php _e('Comments <small>(required)</small>', 'ubudu'); ?></span></label>
								</th>
							</tr>

							<tr><!-- Comment editor-->
								<td<?php if (function_exists('gravbox')) echo ' colspan="2"'; ?>>
									<textarea name="comment" id="comment" cols="50" rows="20"></textarea>
								</td>
							</tr>
						</tbody>
						<tfoot>
							<tr>
								<td colspan="2"><?php _e('You can use the following <abbr title="eXtensible HyperText Markup Language">XHTML</abbr> tags:', 'ubudu'); ?> <code><?php echo allowed_tags(); ?></code></td>
							</tr>
							<tr>
								<td colspan="2">
									<?php do_action('comment_form', $post->ID); ?>
									<?php comment_id_fields(); ?>
									<?php
									if ( is_404() ) {
										$proto = ( empty($_SERVER['HTTPS']) ? 'http://' : 'https://' );
										$url = $proto.$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
										if (strpos($url, '#') !== false) {
											$url = substr($url,0,strpos($url, '#'));
										}
										echo "<input type='hidden' name='redirect_to' id='redirect_to' value='".$url."' />";
										echo "<input type='hidden' name='is_404' id='is_404' value='true' />";
									}
									?>
									<p id="submit-container" class="alignright"><button type="submit" id="submit"><?php _e('Submit Comment', 'ubudu'); ?></button></p>
								</td>
							</tr>
						</tfoot>
					</table><!-- end respond -->
					<?php endif; ?>
				</fieldset>
			</form>
		</section><!-- End comment editor -->
<?php else : ?>
		<p class="comments-closed"><strong><?php _e('Commenting on this post is currently closed.', 'ubudu'); ?></strong></p>
<?php endif; ?>



		<section class="backreferences" id="<?php _e('backreferences', 'ubudu'); ?>">
			<header><?php
			$pings_number = $GLOBALS['ubudu']->backreferences_count();
			$pings_link_text = _n('%d reference to %s.', '%d references to %s.', $pings_number, 'ubudu');
			$pings_link_text = sprintf( __($pings_link_text, 'ubudu'), $pings_number, get_the_title() );
			?>
				<?php
				echo $pings_link_text;
				?>
				<a
					href="<?php trackback_url(); ?>"
					title="<?php _e('Pick the URI for sending a TrackBack to from this link', 'ubudu'); ?>"
					rel="trackback"><?php echo '&#x21A9;' ?></a>
			</header>
			<?php if ( !empty($comments_by_type['pings']) ) : ?>
			<ol>
				<?php wp_list_comments( array( 'type' => 'pings', 'callback' => array($GLOBALS['ubudu'], 'list_pings') )  ); ?>
			</ol>
			<?php endif;?>
		</section><!-- End <?php _e('backreferences', 'ubudu'); ?>-<?php the_ID(); ?> -->
	</div><!-- END comments-<?php the_ID(); ?> -->

