<?php // redirect too big paged requests to last page of results, respond with 'temporary'.
if ( $paged > $wp_query->max_num_pages ) {
	wp_redirect( preg_replace('/page\/?([0-9]{1,})\/?$/', 'page/'.$wp_query->max_num_pages, $_SERVER["REQUEST_URI"]), 307 );
}

global $wp_query;
global $post;

$the_404s = array(
	$GLOBALS['ubudu']->get_page_ID_by_slug(__('no-search-results', 'ubudu')),
	$GLOBALS['ubudu']->get_page_ID_by_slug(__('no-tag-results', 'ubudu')),
	$GLOBALS['ubudu']->get_page_ID_by_slug(__('no-category-results', 'ubudu')),
	$GLOBALS['ubudu']->get_page_ID_by_slug(__('no-archive-results', 'ubudu')),
	$GLOBALS['ubudu']->get_page_ID_by_slug(__('404-not-found', 'ubudu'))
);
if ( in_array($post->ID, $the_404s) ) {
	$wp_query->is_404 = true;
	$wp_query->is_singular = true;
}


get_header();

if ( !have_posts() ) {
	$wp_query->is_singular = true;
	$wp_query->is_single = true;
}

if ( is_singular() ) {

	if ( is_404() ) {
		$GLOBALS['ubudu']->the_404_post();
	}
	else {
		the_post();
	}

	?><div <?php post_class(); ?>><?php
	$GLOBALS['ubudu']->post_singular();
	if ( is_404() ) {
	}
	?></div><?php

	$GLOBALS['ubudu']->nav_bot();
	comments_template();
}
else {
	while ( have_posts() ) {
		the_post();
		?><div <?php post_class(); ?>><?php
		$GLOBALS['ubudu']->post_singular();
		?></div><?php
	}
	$GLOBALS['ubudu']->nav_bot();
}

get_footer();

?>
